PUT Upsert Product Characteristics

Inserts a product characteristic.
A upsert statement verify if already exists a product with the code set on body request and updates an existing product or creates a new one.
This request is an array, so you can insert more than one characteristic by query.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

❗️

Take notice!

This request updates all values already set. Pay attention and don't have anything lost!

Request body example

[
    {
        "productId": "409027D7-D72B-4FF9-AAF2-00055901DE9A",
        "key": "Cor",
        "value": "Vermelho",
        "order": 0,
        "hexColor": "#FFFFFF",
        "displayOnCatalog": 1,
        "isDeleted": 0
    }
]

Fields Description

FieldTypeDescription
productIdGuidProduct ID
keyStringA key of characteristic
valueStringThe value of a characteristic key
orderStringThe order where it appears on catalog
hexColorstringCharacteristic color defined
displayOnCatalogBooleanIf the characteristic displays on catalog
isDeletedBooleanIf the product characteristic is deleted or not

📘

Result

A 204- No Content result means that the stock was successfully updated.

Path Params
string
enum
required

Use "api" for production environment or "hlg-api" for homolog

Allowed:
string
required

Product ID (Guid)

Body Params
RAW_BODY
array of objects
required

An array with the product characteristics

RAW_BODY*
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json